Subject: Re: Qgit performance and maintain CVS environment with GIT repository

From: Pete/Piet Delaney <[email-masked]>
Date: Fri, 19 Oct 2007 01:58:37 -0700

Jan Wielemaker wrote:
> On Friday 19 October 2007 02:22, Pete/Piet Delaney wrote:
>> We are definitely not fine with CVS, the branch merging isn't
>> comfortable. I'm just wondering about maintaining the existing
>> CVS browsers and the build scripts if it's not a big deal. I'll
>> try the git-cvsserver path. If anyone has any war stories to share
>> on the path this would be an ideal time to share them.
> 
> As for web browsing the history, our project was quickly convinced
> gitweb is a lot better than cvsweb.  We are starting to get use to
> basic git.  One developer works on CVS.  This is a bit handicapped,
> but workable after a few patches to git-shell and git-cvsserver.

Could you tell me a bit more about those patches and the need for using
git-shell (haven't even messed with that yet).

Think I can set things up so the CVS updates, checkouts, and the
like that are being used on our build machines can remain untouched
and have the git-cvsserver exactly acting like the current CVS server.
It would be nice if branches and tags work without touching all of the
build machines and their scripts.

I don't think we need to have any developers continuing to use CVS;
but I may be wrong. I think I read that there's a limitation to being
on the main branch and unfortunately most of out tags are on a release
branch.

- -piet

> 
> In another project I use git-cvsserver to do the Windows builds.
> All development except for minor typos and compatibility things is
> done on linux and cvs <-> git works just fine for that model.
> 
> 	--- Jan
>